Bug 1370969 - encfs fails with home in nfs
Summary: encfs fails with home in nfs
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fuse-encfs   
(Show other bugs)
Version: 24
Hardware: Unspecified Linux
unspecified
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-29 04:48 UTC by Edgar Hoch
Modified: 2017-08-29 21:52 UTC (History)
2 users (show)

Fixed In Version: fuse-encfs-1.9.2-1.fc26 fuse-encfs-1.9.2-1.fc25 fuse-encfs-1.9.2-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-29 21:52:16 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Edgar Hoch 2016-08-29 04:48:00 UTC
Description of problem:
encfs fails when home directory is in a nfs filesystem.

$ LANG=C encfs ~/.geh_encfs ~/geh
EncFS Password: 
fusermount: failed to open mountpoint for reading: Permission denied
fuse failed.  Common problems:
 - fuse kernel module not installed (modprobe fuse)
 - invalid options -- see usage message

I tried to get a more specific error message, but I had no success. I have tried SELinux in permissive mode and dontaudit mode, I have used -v and -d options to encfs, I have checked journal and audit files, but I have not found any message that seems to be related to encfs or fuse. I don't know how to get more error messages from encfs.


encfs succeeds when operating on local filesystems, for example in /tmp, permission denied error occurs only with nfs filesystems.


Version-Release number of selected component (if applicable):
kernel-4.6.7-300.fc24.x86_64
fuse-encfs-1.8.1-2.fc24.x86_64
selinux-policy-targeted-3.13.1-191.13.fc24.noarch


How reproducible:
Always

Comment 1 Fedora End Of Life 2017-07-25 22:42:58 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora Update System 2017-07-31 11:35:06 UTC
fuse-encfs-1.9.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-daeddd414f

Comment 3 Fedora Update System 2017-07-31 11:35:23 UTC
fuse-encfs-1.9.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-36f02cbd23

Comment 4 Fedora Update System 2017-07-31 20:48:54 UTC
fuse-encfs-1.9.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-daeddd414f

Comment 5 Fedora Update System 2017-07-31 22:23:14 UTC
fuse-encfs-1.9.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9939f33e00

Comment 6 Fedora Update System 2017-08-01 00:25:36 UTC
fuse-encfs-1.9.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-36f02cbd23

Comment 7 Fedora End Of Life 2017-08-08 16:53:04 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Fedora Update System 2017-08-09 15:58:16 UTC
fuse-encfs-1.9.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-08-09 19:58:36 UTC
fuse-encfs-1.9.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-08-14 06:40:52 UTC
fuse-encfs-1.9.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b8b981e9d8

Comment 11 Fedora Update System 2017-08-15 07:49:54 UTC
fuse-encfs-1.9.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b8b981e9d8

Comment 12 Fedora Update System 2017-08-29 21:52:16 UTC
fuse-encfs-1.9.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.